// reset and base styles

*,
*::before,
*::after {
	box-sizing: border-box;
    padding: 0px;
	margin: 0px;
	border: none;
}

body {
    padding: 0;
    margin: 0;
	display: flex;
    position: relative;
    font-family: 'Ubuntu';
    // height: 100%;
    // overflow-y: visible;

    // &::-webkit-scrollbar {
    //     width: 0px;
    //     height: 0px;
    // }

    // &::-webkit-scrollbar-track-piece {
    //     background-color: transparent;
    //     -webkit-border-radius: 0;
    // }
   
    @media (max-width: 375px) {
        width: 375px;
    }
}

body.none {
    overflow-y: hidden;
}

main {
    background-color: $main-3;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: clip;
    // overflow-y: auto;
    position: relative;
    // - //

    .content {
        // min-height: calc(100vh - 80px);
         min-height: calc(100vh - 160px);
        height: 100%;
    }

    .content__reg {
        min-height: calc(100vh - 80px);

        @media (max-width: 1024px) {
            min-height: calc(100vh - 160px);
        }

        @media (max-width: 576px) {
            min-height: calc(100vh - 200px);
        }
    }

    .content__error {
        min-height: calc(100vh - 192px);

          @media (max-width: 1024px) {
            min-height: calc(100vh - 142px);
        }

        @media (max-width: 576px) {
            min-height: calc(100vh - 140px);
        }
    }


    // .footer {
    //     flex: 0 0 auto;
    // }
}

section {
    margin-bottom: 35px;
}

.content {
    @media (max-width: 1024px) {
        padding-top: 130px;
    }

    @media (max-width: 576px) {
        padding-top: 115px;
    }

}

.authorization-main {
    .content {
        @media (max-width: 1024px) {
            padding-top: 0;
        }
    }

    .footer {
        @media (max-width: 1024px) {
            background-color: $main-0;
            padding: 20px 0;
        }

       .footer__block {
            @media (max-width: 1024px) {
                display: flex;
            }

            .footer__social {
                @media (max-width: 576px) {
                    grid-gap: 8px;
                    flex-wrap: wrap;
                    justify-content: end;

                    .social__link {
                        padding: 8px 8px;
                    } 

                }
            }
        }
    }
}

a {
    color: inherit;
}

a, a:link, a:visited, a:hover   {
    text-decoration: none;
    transition: 0.3s ease;
}

svg, path, circle, ellipse, rect {
	transition: 0.3s ease;
}

aside, nav, footer, header, section, main {
	display: block;
}

h1, h2, h3, h4, h5, h6, p {
    font-size: inherit;
	font-weight: inherit;
}

img {
	width: auto;
	height: auto;
}

address {
  font-style: normal;
}

input, textarea, button, select {
	font-family: inherit;
    font-size: inherit;
    color: inherit;
    
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

textarea {
    resize: none;
    width: 100%;
    outline: none;
    border: none;
}

input::-ms-clear {
	display: none;
}

input[type=number] {
    -moz-appearance:textfield;
}

button, input[type="submit"] {
    display: inline-block;
    box-shadow: none;
    background-color: transparent;
    background: none;
    cursor: pointer;
    background: transparent;
}

input:focus, input:active,
button:focus, button:active {
    outline: none;
}

button::-moz-focus-inner {
	padding: 0;
	border: 0;
}

label {
	cursor: pointer;
}

legend {
	display: block;
}

button {
	transition: 0.3s ease;

    span {
        display: flex;
    }
}

.swiper {
    z-index: 0;
}